## helm install

install a chart archive

### Synopsis



This command installs a chart archive.

The install argument must be either a relative path to a chart directory or the
name of a chart in the current working directory.

To override values in a chart, use either the '--values' flag and pass in a file
or use the '--set' flag and pass configuration from the command line.

	$ helm install -f myvalues.yaml ./redis

or

	$ helm install --set name=prod ./redis

To check the generated manifests of a release without installing the chart,
the '--debug' and '--dry-run' flags can be combined. This will still require a
round-trip to the Tiller server.

If --verify is set, the chart MUST have a provenance file, and the provenance
fall MUST pass all verification steps.

There are four different ways you can express the chart you want to install:

1. By chart reference: helm install stable/mariadb
2. By path to a packaged chart: helm install ./nginx-1.2.3.tgz
3. By path to an unpacked chart directory: helm install ./nginx
4. By absolute URL: helm install https://example.com/charts/nginx-1.2.3.tgz

CHART REFERENCES

A chart reference is a convenient way of reference a chart in a chart repository.

When you use a chart reference ('stable/mariadb'), Helm will look in the local
configuration for a chart repository named 'stable', and will then look for a
chart in that repository whose name is 'mariadb'. It will install the latest
version of that chart unless you also supply a version number with the
'--version' flag.

To see the list of chart repositories, use 'helm repo list'. To search for
charts in a repository, use 'helm search'.


```
helm install [CHART]
```

### Options

```
      --dry-run                simulate an install
      --keyring string         location of public keys used for verification (default "/Users/mattbutcher/.gnupg/pubring.gpg")
  -n, --name string            release name. If unspecified, it will autogenerate one for you
      --name-template string   specify template used to name the release
      --namespace string       namespace to install the release into
      --no-hooks               prevent hooks from running during install
      --replace                re-use the given name, even if that name is already used. This is unsafe in production
      --set stringArray        set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
  -f, --values string          specify values in a YAML file
      --verify                 verify the package before installing it
      --version string         specify the exact chart version to install. If this is not specified, the latest version is installed
```

### Options inherited from parent commands

```
      --debug                 enable verbose output
      --home string           location of your Helm config. Overrides $HELM_HOME (default "/Users/mattbutcher/Code/helm_home")
      --host string           address of tiller. Overrides $HELM_HOST
      --kube-context string   name of the kubeconfig context to use
```

### SEE ALSO
* [helm](helm.md)	 - The Helm package manager for Kubernetes.

###### Auto generated by spf13/cobra on 1-Nov-2016
