## helm upgrade

upgrade a release

### Synopsis



This command upgrades a release to a new version of a chart.

The upgrade arguments must be a release and chart. The chart
argument can be either: a chart reference('stable/mariadb'), a path to a chart directory,
a packaged chart, or a fully qualified URL. For chart references, the latest
version will be specified unless the '--version' flag is set.

To override values in a chart, use either the '--values' flag and pass in a file
or use the '--set' flag and pass configuration from the command line.


```
helm upgrade [RELEASE] [CHART]
```

### Options

```
      --disable-hooks      disable pre/post upgrade hooks
      --dry-run            simulate an upgrade
  -i, --install            if a release by this name doesn't already exist, run an install
      --keyring string     path to the keyring that contains public singing keys (default "/Users/mattbutcher/.gnupg/pubring.gpg")
      --namespace string   namespace to install the release into (only used if --install is set) (default "default")
      --set stringArray     set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)
  -f, --values string      path to a values YAML file
      --verify             verify the provenance of the chart before upgrading
      --version string     specify the exact chart version to use. If this is not specified, the latest version is used
```

### Options inherited from parent commands

```
      --debug                 enable verbose output
      --home string           location of your Helm config. Overrides $HELM_HOME (default "/Users/mattbutcher/Code/helm_home")
      --host string           address of tiller. Overrides $HELM_HOST
      --kube-context string   name of the kubeconfig context to use
```

### SEE ALSO
* [helm](helm.md)	 - The Helm package manager for Kubernetes.

###### Auto generated by spf13/cobra on 1-Nov-2016
